%define	name	fuse
%define	version	2.5.3
%define release 3
%define major	2
%define libname	%mklibname %{name} %{major}
%define libnamedev %mklibname %{name} %{major} -d
%define	libnamestaticdev %mklibname %{name} %{major} -d -s

Summary:	Interface for userspace programs to export a virtual filesystem to the kernel
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
License:	GPL
Group:		System/Libraries
URL:		http://sourceforge.net/projects/fuse/
Source0:	http://download.sourceforge.net/fuse/fuse-%{version}.tar.bz2
Patch0:		fuse-2.5.3-udev-fix.patch.bz2
BuildRequires:	kernel-source
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
FUSE (Filesystem in USErspace) is a simple interface for userspace
programs to export a virtual filesystem to the linux kernel.  FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

%package -n	%{libnamedev}
Summary:	Header files and development libraries for libfuse2
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release}
Provides:	%{_lib}fuse-devel
Requires:	%{libname} = %{version}

%description -n	%{libnamedev}
Header files and development libraries for fuse.

%package -n	%{libname}
Summary:	Libraries for fuse
Group:		Development/C

%description -n	%{libname}
Libraries for fuse.

%package -n	%{libnamestaticdev}
Summary:	Static libraries for fuse
Group:		Development/C
Provides:	libfuse-static-devel = %{version}-%{release}
Provides:	%{_lib}fuse-static-devel

%description -n %{libnamestaticdev}
Static libraries for fuse.

%package -n	dkms-%{name}
Summary:	Linux kernel module for FUSE (Filesystem in Userspace)
Group:		System/Kernel and hardware
Requires(post,preun):	dkms

%description -n	dkms-%{name}
FUSE (Filesystem in USErspace) is a simple interface for userspace
programs to export a virtual filesystem to the linux kernel.  FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

This package provides the kernel module part.

%prep
%setup -q 
%patch0 -p0 -b .udev

%build
%configure2_5x --disable-kernel-module
%make

%install
rm -rf $RPM_BUILD_ROOT

# make install tries to mknod which will of course fail as a user.
# This works around that as it tests if the file exists.
mkdir -p %buildroot/dev/fuse

%makeinstall_std

install -d -m 755 %{buildroot}%{_prefix}/src
cp -a kernel %{buildroot}%{_prefix}/src/%{name}-%{version}-%{release}

cat > %{buildroot}%{_prefix}/src/%{name}-%{version}-%{release}/dkms.conf <<EOF

PACKAGE_VERSION="%{version}-%{release}"

PACKAGE_NAME="%{name}"
MAKE[0]="./configure --enable-kernel-module && %{__make}"
CLEAN="test -f Makefile && %{__make} clean || :"

BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"
DEST_MODULE_LOCATION[0]="/kernel/fs/\$PACKAGE_NAME/"

AUTOINSTALL=yes
REMAKE_INITRD=no

EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n dkms-%{name}
dkms add -m %{name} -v %{version}-%{release} --rpm_safe_upgrade
dkms build -m %{name} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m %{name} -v %{version}-%{release} --rpm_safe_upgrade

if [ $1 = 1 ]; then
grep '[^#]*%{name}' %{_sysconfdir}/modprobe.preload || echo %{name} >> %{_sysconfdir}/modprobe.preload
modprobe %{name}
fi

%preun -n dkms-%{name}
dkms remove -m %{name} -v %{version}-%{release} --rpm_safe_upgrade --all ||:

%postun -n dkms-%{name}
if [ $1 = 0 ]; then
	sed -i '/.*%{name}/d' /etc/modprobe.preload
fi

%files
%defattr(-,root,root)
%doc README.NFS AUTHORS README Filesystems README-2.4 ChangeLog COPYING.LIB NEWS
%{_bindir}/fusermount
%config(noreplace) %{_sysconfdir}/udev/rules.d/40-fuse.rules
/sbin/mount.fuse

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libnamedev}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files -n %{libnamestaticdev}
%defattr(-,root,root)
%{_libdir}/libfuse.la
%{_libdir}/libfuse.a

%files -n dkms-%{name}
%defattr(-,root,root)
%{_prefix}/src/%{name}-%{version}-%{release}

%changelog
* Tue May 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.5.3-3mdk
- patch 0: fix udev rule for newer udev

* Mon May 22 2006 David Walluck <walluck@mandriva.org> 2.5.3-2mdk
- use %%{release} for dkms

* Mon Apr 10 2006 David Walluck <walluck@mandriva.org> 2.5.3-1mdk
- 2.5.3

* Sat Feb 25 2006 David Walluck <walluck@mandriva.org> 2.5.2-3mdk
- can't use %%configure macro in MAKE[0]

* Fri Feb 24 2006 David Walluck <walluck@mandriva.org> 2.5.2-2mdk
- replace %%make with %%{__make} for dkms module
- try --enable-kernel-module for dkms-module

* Fri Feb 24 2006 David Walluck <walluck@mandriva.org> 2.5.2-1mdk
- 2.5.2
- use macros in MAKE[0]
- add Source0 URL
- fix Group
- add Provides: %%{_lib}fuse-{,static-}devel
- mark 40-fuse.rules as %%config(noreplace)

* Wed Jan 04 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.4.2-1mdk
- from Moreno Manzini <moreno.mg@gmail.com> :
	o 2.4.2

* Mon Oct 17 2005 Olivier Thauvin <nanardon@mandriva.org> 2.4.0-1mdk
- 2.4.0

* Wed Jun 29 2005 Pascal Terjan <pterjan@mandriva.org> 2.3.0-2mdk
- add dkms subpackage

* Sun Jun 12 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.3.0-1mdk
- 2.3.0

* Wed May 18 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2.1-2mdk
- fix provides
- compile with $RPM_OPT_FLAGS
- %%mkrel
- fix summary-ended-with-dot
- cosmetics

* Mon May 09 2005 Lenny Cartier <lenny@mandriva.com> 2.2.1-1mdk
- 2.2.1

* Mon Oct 04 2004 Tigrux <tigrux@ximian.com> 1.9-1mdk
- New version

* Mon Oct 04 2004 Tigrux <tigrux@ximian.com> 1.3-1mdk
- First rpm for Mandrake
